%define major 1
%define libname %mklibname sndfile %{major}
%define devname %mklibname sndfile -d

%bcond_with octave
%bcond_with bootstrap

Summary:	A library to handle various audio file formats
Name:		libsndfile
Version:	1.0.28
Release:	3
License:	LGPLv2+
Group:		Sound
Url:		http://www.mega-nerd.com/libsndfile/
Source0:	http://www.mega-nerd.com/libsndfile/files/%{name}-%{version}.tar.gz
Patch0:		0001-FLAC-Fix-a-buffer-read-overrun.patch
Patch1:		0002-src-flac.c-Fix-a-buffer-read-overflow.patch
Patch2:		0003-src-flac.c-Fix-another-memory-leak.patch
Patch3:		libsndfile-1.0.25-divide-by-zero.patch
Patch4:		libsndfile-psf_strlcpy_crlf-fix-CVE-2015-8075.patch
Patch5:		libsndfile-1.0.28-cve2017_12562.patch
Patch6:		libsndfile-1.0.28-fix-CVE-2017-14634.patch
Patch7:		libsndfile-1.0.28-fix-CVE-2017-14245_14246.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(celt)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisenc)
%if !%{with bootstrap}
%ifarch %{ix86} x86_64
BuildRequires:	nasm
%endif
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(samplerate)
%endif

%description
libsndfile is a C library for reading and writing sound files such as AIFF,
AU and WAV files through one standard interface. It can currently read/write
8, 16, 24 and 32-bit PCM files as well as 32-bit floating point WAV files and
a number of compressed formats.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library of sndfile
Group:		System/Libraries

%description -n %{libname}
libsndfile is a C library for reading and writing sound files such as AIFF,
AU and WAV files through one standard interface. It can currently read/write
8, 16, 24 and 32-bit PCM files as well as 32-bit floating point WAV files and
a number of compressed formats.

This package contains the shared library to run applications based on
libsndfile.

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libsndfile.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries, includes, etc to develop libsndfile applications 
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	sndfile-devel = %{EVRD}

%description -n %{devname}
Libraries, include files, etc you can use to develop libsndfile applications.

%files -n %{devname}
%doc %{_docdir}/libsndfile
%doc ChangeLog COPYING
%{_libdir}/libsndfile.so
%{multiarch_includedir}/sndfile.h
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/pkgconfig/sndfile.pc

#----------------------------------------------------------------------------

%package progs
Summary:	Example progs based on libsndfile
Group:		Sound

%description progs
This contains sndfile-info for printing information about a sound
file and sndfile-play for playing a sound file.

%files progs
%doc COPYING
%{_bindir}/sndfile-*
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%if %{with octave}
%package octave
Summary:	Octave modules based on libsndfile
Group:		Sound
BuildRequires:	octave-devel

%description octave
This contains octave modules based on libsndfile for reading, writing and
playing audio files.

%files octave
%doc COPYING
%{_datadir}/octave/
%dir %{_libdir}/octave/*/site/oct/%{_target_platform}/sndfile
%{_libdir}/octave/*/site/oct/%{_target_platform}/sndfile/PKG_ADD
%{_libdir}/octave/*/site/oct/%{_target_platform}/sndfile/sndfile.oct
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static
%make V=1


%install
%makeinstall_std
rm -rf %{buildroot}%{_includedir}/FLAC

%multiarch_includes %{buildroot}%{_includedir}/sndfile.h


%changelog

* Sat May 19 2018 Giovanni Mariani <mc2374@mclink.it> 1.0.28-3
- (e0743ba) Bump release


